%
BP = opt_landmarks;
% Interpolate BP signal from landmarks to continuous signal
landmarks = [ 1 8 10 12 16 18 20 22 24 26 28 32 34  38 42 46 60 95 100];
BP = interp1(0.01*landmarks,[BP; BP(1)],linspace(0,1,100),'pchip');
%
% modification of the pressure wave form according to Ogoh et al .2005
SBP = SBP_sf*calibrationSBP;
% No change in DBP;
HR = HR_sf*calibrationHR;
%
modifiedBP = interp1(linspace(0,calibrationHR/HR,100),BP,linspace(0,1,100),'pchip');
modifiedBP = (modifiedBP-min(modifiedBP))/(max(modifiedBP)-min(modifiedBP))*(SBP-calibrationDBP)+calibrationDBP;
CBF = simulateCAOnesided(HR, modifiedBP, calibrationAge, baselineFlow);
correctedCBF = interp1(linspace(0,1,100),CBF,linspace(0,60/HR,100),'pchip');
%
% convert MCA velocity to ICA velocity
if (isFemale == 1)
    calibrationSignal = calibrationSignal / (1.67 + calibrationAge * 0.005);    
else
    calibrationSignal = calibrationSignal / 2; 
end
%
if (isFemale == 1)
    correctedCBF = correctedCBF / (1.67 + calibrationAge * 0.005);    
else
    correctedCBF = correctedCBF / 2; 
end
%
t_rest = linspace(0,60/calibrationHR,100);
fileID = fopen([outputPathRest, '\', fileNameRest],'w');
for i = 1:length(t_rest)
    fprintf(fileID,'%f, %f,',t_rest(i),calibrationSignal(i));
end
fclose(fileID);
disp([ fileNameRest , ' file has been written' ])
%
t_exercise = linspace(0,60/HR,length(correctedCBF));
PsysLoc200(stateC) = 200 + 2*find(correctedCBF == max(correctedCBF));
fileID = fopen([outputPathExercise, '/', fileNameExercise],'w');
for i = 1:length(t_exercise)
    fprintf(fileID,'%f, %f,',t_exercise(i),correctedCBF(i));
end
fclose(fileID);
disp([ fileNameExercise , ' file has been written' ])
%
